import { ScatterBaseView } from "./ScatterBaseView";
import { ScatterBase } from "./ScatterBase";
import { Path } from "igniteui-angular-core";
import { RenderingContext } from "igniteui-angular-core";
import { Type } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class ScatterSplineSeriesView extends ScatterBaseView {
    static $t: Type;
    constructor(a: ScatterBase);
    a4(): void;
    dz: Path;
    dy: Path;
    protected bp(): void;
    protected bq(): void;
    protected bj(a: RenderingContext, b: boolean): void;
    dm(a: boolean): void;
    ax(a: any): void;
    protected an(): void;
}
